Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

Path Parameters

memory_id
string<uuid>
required

The unique identifier of the memory to retrieve.

Response

Successfully retrieved the memory.

id
string<uuid>

Unique identifier for the memory.

memory
string

The content of the memory

user_id
string

Identifier of the user associated with this memory

agent_id
string | null

The agent ID associated with the memory, if any

app_id
string | null

The app ID associated with the memory, if any

run_id
string | null

The run ID associated with the memory, if any

hash
string

Hash of the memory content

metadata
object

Additional metadata associated with the memory

created_at
string<date-time>

Timestamp of when the memory was created.

updated_at
string<date-time>

Timestamp of when the memory was last updated.